Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84565 - IrDA doesn't work out of box
Summary: IrDA doesn't work out of box
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: irda-utils
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 23:59 UTC by Peter Bowen
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 01:11:40 UTC


Attachments (Terms of Use)

Description Peter Bowen 2003-02-18 23:59:01 UTC
In order to get IrDA working I had to do two things:

1) change DEVICE to /dev/ttyS1 in /etc/sysconfig/irda.  The default of
/dev/ttyS2 didn't work.  irattach didn't do any when it was set to this.

2) Add the modules to modules.conf.  Some program should add the alias to
modules.conf:

alias char-major-161 ircomm-tty

Comment 1 Peter Bowen 2003-02-19 00:02:03 UTC
OK, I take back point 2.  It looks like modprobe has the necessary aliases built in.

Comment 2 Bill Nottingham 2003-02-19 00:43:48 UTC
DEVICE= sounds very much specific to your particular hardware. Not sure if
there's really anything we can do about that.

Comment 3 Peter Bowen 2003-02-19 01:11:40 UTC
Ok, you are right.  I just misread the docs, or general lack there of.  I was
under the impression it emulated a serial port on the specified device, but it
is the other way around.  It looks at that device and uses it as an irport, as
the BIOS emulates a serial port with a IR device attached, similar to a modem.

I'm going to open this so that others can find the answer on their hardware.


Note You need to log in before you can comment on or make changes to this bug.